package ahc.collection;

import ahc.collection.Collection;
import ahc.collection.Iterator;


/**
 * This is the interface that all List classes must implement.
 *
 * @author Arno Haase
 */
public interface List extends Collection, java.util.List {
    boolean prepend (Object o);
    boolean append (Object o);

    Iterator first (Object o);
    Iterator after ();
    Iterator end ();
    Iterator iter (int index);
    int firstIndexOf (Object o);
    Iterator last (Object o);
}
