package ahc.collection;

import ahc.collection.equality.EqualityStrategy;
import ahc.collection.Collection;


/**
 * This is the interface that all Map classes must implement.
 *
 * @author Arno Haase
 */
public interface Map extends java.util.Map {
    EqualityStrategy getValueEqualityStrategy ();
    Set keys ();
    Collection vals();
    Set entries ();
}
