package ahc.collection.equality;

import ahc.collection.equality.EqualityStrategy;


/**
 * @author Arno Haase
 */
public class EqualsEqualityStrategy implements EqualityStrategy {
    public boolean equals (Object o1, Object o2) {
        return (o1 == null) ? o2 == null : o1.equals (o2);
    }

    public int hashCode (Object o) {
        return (o == null) ? 0 : o.hashCode ();
    }
}
