package ahc.exception;


/**
 * This exception is inteded for Exception Tunneling, i.e. wrapping an exception in a RuntimeExceptin in order
 *  to transport it through e.g. framework code.
 *
 * @author Arno Haase
 */
public class TunnelingException extends RuntimeException {
    private final Exception _inner;

    public TunnelingException (Exception inner) {
        if (inner instanceof TunnelingException)
            _inner = ((TunnelingException) inner).getInner ();
        else
            _inner = inner;
    }

    public Exception getInner () {
        return _inner;
    }
}
