package ahc.generic;


/**
 * This is the generic interface for an object that follows an access path through a graph of objects and then
 *  calls a set method.
 *
 * @author Arno Haase
 */
public interface AttributeSetter {
    public void set (Object obj, String accessPath, Object value);
}
