package ahc.util.bytes;


/**
 * This is a collection of helper functions for byte arrays.
 *
 * @author Arno Haase
 */
public class ByteArrayHelper {
    /**
     * completely copies one byte array into another but at an offset.
     */
    public static void copy (byte[] from, byte[] to, int offsetTo) {
        System.arraycopy (from, 0, to, offsetTo, from.length);
    }


    /**
     * copies data from one byte array to another.
     */
    public static void copy (byte[] from, byte[] to, int offsetFrom, int offsetTo, int numBytes) {
        System.arraycopy (from, offsetFrom, to, offsetTo, numBytes);
    }
}
