package ahc.util.timer;


/**
 * This class represents an event for which an intermediate time was measured.
 *
 * @author Arno Haase
 */
public class StopWatchEvent {
    private final String _name;
    private final long _time;

    public StopWatchEvent (String name, long time) {
        _name = name;
        _time = time;
    }

    public String getName () {
        return _name;
    }

    public long getTime () {
        return _time;
    }
}
