package ahc.collection.store;

import ahc.collection.equality.EqualityStrategy;
import ahc.collection.store.HashStore;
import ahc.collection.store.Store;
import ahc.collection.store.AbstractStoreTest;


/**
 * @author Arno Haase
 */
public class HashStoreTest extends AbstractStoreTest {
    public HashStoreTest (String s) {
        super (s, false);
    }

    protected Store create (EqualityStrategy eqStrat) {
        return new HashStore (eqStrat);
    }

    public void testGeneral () {
        assertEquals (false, _store.isSorted ());
        assertEquals (false, _store.preservesOrdering ());
    }
}
