package ahc.collection;

import ahc.collection.Collection;


/**
 * This is the common interface for collections with Set semantics, i.e. they ensure that every element is
 *  contained no more than once in a set.
 *
 * @author Arno Haase
 */
public interface Set extends Collection, java.util.Set {
}
