package ahc.collection;

import ahc.collection.store.Store;
import ahc.collection.access.AccessStrategy;
import ahc.collection.GenericStack;
import ahc.collection.Stack;


/**
 * This class provides convenience methods to create stack instances.
 *
 * @author Arno Haase
 */
public class StackHelper {

    public static Stack createStack () {
        return new GenericStack ();
    }

    public static Stack createStack (int initialSize) {
        return new GenericStack (initialSize);
    }

    public static Stack createStack (Store store, AccessStrategy accessStrategy) {
        return new GenericStack (store, accessStrategy);
    }

    //todo: synchronized stack
}
