package ahc.util.bytes;


/**
 * This class is a collection of methods to extract different parts from an int value.
 *
 * @author Arno Haase
 */
public class BitManipulator {
    public static byte LO (int value) {
        return (byte) (value & 0xff);
    }

    public static byte MIDLO (int value) {
        return (byte) ((value & 0xff00) >> 8);
    }

    public static byte MIDHI (int value) {
        return (byte) ((value & 0xff0000) >> 16);
    }

    public static byte HI (int value) {
        return (byte) (value >> 24);
    }
}
