package ahc.collection.store;

import ahc.collection.equality.EqualityStrategy;
import ahc.collection.store.ArrayStore;
import ahc.collection.store.Store;
import ahc.collection.store.AbstractStoreTest;


/**
 * @author Arno Haase
 */
public class ArrayStoreTest extends AbstractStoreTest {
    public ArrayStoreTest (String s) {
        super (s, true);
    }


    protected Store create (EqualityStrategy eqStrat) {
        return new ArrayStore (eqStrat, 10);
    }

    public void testGeneral () {
        assertEquals (false, _store.isSorted ());
        assertEquals (true, _store.preservesOrdering ());
    }
}

