package ahc.collection.store;

import ahc.collection.equality.EqualityStrategy;
import ahc.collection.store.DlinkedStore;
import ahc.collection.store.Store;
import ahc.collection.store.AbstractStoreTest;


/**
 * @author Arno Haase
 */
public class DlinkedStoreTest extends AbstractStoreTest {
    public DlinkedStoreTest (String s) {
        super (s, true);
    }

    protected Store create (EqualityStrategy eqStrat) {
        return new DlinkedStore (eqStrat);
    }

    public void testGeneral () {
        assertEquals (false, _store.isSorted ());
        assertEquals (true, _store.preservesOrdering ());
    }
}
