package ahc.util.string;

import junit.framework.TestCase;

import java.util.Arrays;


/**
 * @author Arno Haase
 */
public class Base64FormatterTest extends TestCase {
    public Base64FormatterTest (String s) {
        super (s);
    }

    //todo: null, empty, decode: invalid chars, invalid format

    public void testFunction () {

        assertTrue (Arrays.equals ("Hello Arno".getBytes (),
                Base64Formatter.decode (Base64Formatter.encode ("Hello Arno".getBytes ()))));

        final byte[] data = new byte[512];
        for (int i = 0; i < 256; i++) {
            data[i] = (byte) (i - 128);
            data[511 - i] = (byte) (i - 128);
        }

        assertTrue (Arrays.equals (data, Base64Formatter.decode (Base64Formatter.encode (data))));
    }
}
